Summary: CGI-FormMagick module for perl
%define name perl-CGI-FormMagick
%define version 0.89
%define release 07
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Applications/CPAN
Source0: perl-CGI-FormMagick-%{version}.tar.gz
Patch0: perl-CGI-FormMagick-0.89-02.mitel_patch
Patch1: perl-CGI-FormMagick-0.89-03.mitel_patch
Patch2: perl-CGI-FormMagick-0.89-04.mitel_patch
Patch3: perl-CGI-FormMagick-0.89-05.mitel_patch
Patch4: perl-CGI-FormMagick-0.89-06.mitel_patch
Patch5: perl-CGI-FormMagick-0.89-07.mitel_patch
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-CGI-FormMagick-buildroot/
BuildArchitectures: noarch
Requires: perl perl-XML-Parser expat
Requires: perl-CGI-Persistent perl-Object-Persistence 
Requires: perl-Class-ParamParser perl-I18N-LangTags
Requires: perl-Text-Iconv
Requires: perl-Text-Template >= 1.40
Requires: perl-Mail-RFC822-Address >= 0.3-1

%description
FormMagick is a Perl module which enables XML descriptions to be used
to generate HTML wizard-like forms.  It has support for I18N/L10N.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
/usr/lib/rpm/brp-compress
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > CGI-FormMagick-%{version}-filelist

%files -f CGI-FormMagick-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Oct 22 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-07]
- Backported fix for bug 10397, which was breaking the fallback language
  functionality in the 6010 panel. [msoulier 10400]

* Tue Jun 24 2003 Tony Clayton <apc@e-smith.com>
- [0.89-06]
- Fix TagMaker to allow input fields with value="0" [tonyc 9134]

* Tue May  6 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-05]
- Fixed bad handling of literal widgets. [msoulier 8671]

* Tue May  6 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-04]
- Fixed position of the skip_header check so that it's after the establishment
  of the page number. Otherwise, the page number defaults and the wrong
  post-event is executed. [msoulier 8637]

* Fri May  2 2003 Michael Soulier <msoulier@e-smith.com>
- [0.89-03]
- Added support for a skip_header parameter, to force the display method to
  give complete control over the HTTP response to the post-event.
  [msoulier 8637]

* Thu Feb 20 2003 Mark Knox <markk@e-smith.com>
- [0.89-02]
- Allow for dynamic field types using a subroutine call [markk 6735]

* Wed Feb 05 2003 Mark Knox <m_knox@mitel.com>
- [0.89-01]
- Changed author details in Makefile.PL.
- Rolled to v0.89

* Wed Feb 05 2003 Mark Knox <m_knox@mitel.com>
- [0.88-01]
- Rolled up changes from 0.87-01 to 0.87-14es into 0.88 and released to
  SourceForge & CPAN

* Sat Jan 25 2003 Mike Dickson <miked@e-smith.com>
- [0.87-15es]
- removed debugging statements from HTML.pm [miked 6617]

* Tue Jan 14 2003 Mark Knox <markk@e-smith.com>
- [0.87-14es]
- Changed DTD and input field sub to allow "rows" and "cols" args on
  textarea fields, removed size arg on same. [markk 3620]

* Fri Dec 27 2002 Mike Dickson <miked@e-smith.com>
- [0.87-13es]
- removed debugging comments [miked 5494]

* Mon Dec 16 2002 Mike Dickson <miked@e-smith.com>
- [0.87-12es]
- ui updates [miked 5494]

* Tue Dec 10 2002 Michael Soulier <msoulier@e-smith.com>
- [0.87-11es]
- Forgot the dependency on the new module. [msoulier 3388]

* Tue Dec 10 2002 Michael Soulier <msoulier@e-smith.com>
- [0.87-10es]
- Tightened the check in email_simple() by adding use of the
  Mail::RFC822::Address module. [msoulier 3388]

* Mon Dec  2 2002 Mike Dickson <miked@e-smith.com>
- [0.87-09es]
- ui update  [miked 5494]

* Fri Nov 22 2002 Mike Dickson <miked@e-smith.com>
- [0.87-08es]
- update to use new UI elements [miked 5806]

* Fri Nov 22 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.87-07es]
- Re-import from latest SRPM so it looks like a cvs2rpm package [gordonr 5806]

* Thu Oct 03 2002 Mark Knox <markk@e-smith.com>
- [0.87-06es]
- Removed a stray line from a previous patch that was causing breakage
  [markk 4423]

* Mon Sep 30 2002 Mark Knox <markk@e-smith.com>
- [0.87-05es]
- Improved blank-trimming regexes [markk 4423]

* Wed Aug 28 2002 Mark Knox <markk@e-smith.com>
- [0.87-04es]
- Move blank trimming code inside conditional to eliminate warnings [markk
  4607]

* Fri Aug 16 2002 Mark Knox <markk@e-smith.com>
- [0.87-03es]
- Security fix: do not pass full path on session token filename [markk 4652]

* Mon Jul 22 2002 Mark Knox <markk@e-smith.com>
- [0.87-02es]
- Patch to trim blank space from start/end of translations [markk 4423]

* Mon Jul 22 2002 Mark Knox <markk@e-smith.com>
- [0.87-01es]
- Added "es" suffix. First local build (same as 0.87-01) [markk 4422]

* Mon Jun 24 2002 Kirrily Robert <skud@e-smith.com>
- [0.87-01]
- Fixed a minor HTML bug (missing > symbol) which was causing problems
  with the output of validation error messages. [skud 3807]

* Mon Jun 24 2002 Kirrily Robert <skud@e-smith.com>
- [0.86]
- Added get_validation_attribute() routine to make it possible to do the 
  nopipes validation forcing in esmith::FormMagick [skud 3807]

* Sun Jun 02 2002 Gordon Rowell <gordonr@e-smith.com>
- Place the "nopipes" validator before all others. We never want to
  allow pipes in fields for e-smith databases. This may be able to
  be done at the esmith::FormMagick level, but this works for now.
  [gordonr 3752]

* Wed May 29 2002 Kirrily Robert <skud@e-smith.com>
- [0.85-01]
- Fixed charset bug for text fields that come from subroutines [skud
  3677]

* Thu May 16 2002 Kirrily Robert <skud@e-smith.com>
- [0.84-02]
- Messed it up, had to repackage. [skud #3390]

* Thu May 16 2002 Kirrily Robert <skud@e-smith.com>
- [0.84-01]
- Fixed select box charset problem [skud #3390]

* Mon May 13 2002 Kirrily Robert <skud@e-smith.com>
- [0.83-01]
- Various minor bugfixes etc [skud #3339, #3371, #3390, #3405]

* Tue May 07 2002 Kirrily Robert <skud@e-smith.com>
- [0.82-02]
- Added dependency on Text::Template 1.40 or higher [skud #3371]

* Tue May 07 2002 Kirrily Robert <skud@e-smith.com>
- [0.82-01]
- Fixed up various warnings that were thrown to the httpd error log.
  [skud #3278, #3358]
- Templated form headers/footers are now untainted automatically.
  [skud #3371]

* Fri May 03 2002 Kirrily Robert <skud@e-smith.com>
- [0.81-02]
- Added dependency for Text::Iconv

* Wed May 01 2002 Kirrily Robert <skud@e-smith.com>
- [0.81-01]
- Now fails more gracefully on XML errors, dumping the XML to a file in
  /tmp as a side effect
- You can now specify the default XML character set encoding as an
  argument to new() (defaults to undef).  In future versions this should
  be changed to work on a per-lexicon basis, but for now we will use this
  stopgap measure.
- Fixed a bug which was causing fallback_language not to work.

* Fri Apr 12 2002 Kirrily Robert <skud@e-smith.com>
- [0.80-01]
- langtags are now all smashed to lower case

* Thu Apr 04 2002 Kirrily Robert <skud@e-smith.com>
- [0.79-01]
- Updating to release 0.79.

* Thu Apr 04 2002 Kirrily Robert <skud@e-smith.com>
- [0.78-01]
- Updating to release 0.78.

* Wed Apr 03 2002 Kirrily Robert <skud@e-smith.com>
- [0.77-01]
- Updating to release 0.77.

* Wed Mar 20 2002 Kirrily Robert <skud@e-smith.com>
- [0.75-01]
- Updating to release 0.75.

* Wed Mar 14 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.70-02]
- Removed use for Locale::Maketext, pending new cvs tarball from
  SourceForge (which is down ATM)

* Wed Feb 20 2002 Adrian Chung <adrianc@e-smith.com>
- [0.70-01]
- Updating to release 0.70.

* Thu Feb 07 2002 Adrian Chung <adrianc@e-smith.com>
- [0.60-01]
- Updated to 0.60.

* Wed Jan 23 2002 Adrian Chung <adrianc@e-smith.com>
- [0.50-01]
- Updated to 0.50.

* Wed Dec 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.49-03]
- Updated with skud's tarball of the day

* Mon Dec 17 2001 Gordon Rowell <gordonr@e-smith.com>
- [0.49-02]
- Added dependencies for the swag of modules required. These should 
  probably be listed in the CPAN module instead

* Mon Oct 01 2001 charlieb <charlieb@lamington>
- Spec file automatically generated by cpan2rpm
